Echo off
echo  ******************* WARNING**********************
echo  This loading procedure will erase and remove your
echo  Target directory to conserve space on your hard
echo  drive, if you do not want to remove this program
echo  answer no to proceed.
echo                 *************
echo  This loading procedure also erases the ISIS
echo  directory.  If you want to save any of your
echo  prior illustrations, please put a formated
echo  diskette in the A drive NOW.
echo  ***********************************************

IF %0VG == VG GOTO begin
REM LOOK FOR DRIVE CONTAINING SOFTWARE
FOR %%C IN (A B C D E F G H I) DO IF %%C:LI == %0 %%C:
FOR %%C IN (A B C D E F G H I) DO IF %%C:LI == %0 GOTO begin
FOR %%C IN (a b c d e f g h i) DO IF %%C:li == %0 %%C:
FOR %%C IN (a b c d e f g h i) DO IF %%C:li == %0 GOTO begin
FOR %%C IN (A B C D E F G H I) DO IF %%C:\LI == %0 %%C:
FOR %%C IN (A B C D E F G H I) DO IF %%C:\LI == %0 GOTO begin
FOR %%C IN (a b c d e f g h i) DO IF %%C:\li == %0 %%C:
FOR %%C IN (a b c d e f g h i) DO IF %%C:\li == %0 GOTO begin
:begin
YNPROMPT YN 29 Do you wish to proceed (Y/N)?
IF ERRORLEVEL = 1 GOTO end
:cont
MD C:\CCF
cls
ECHO           PLEASE WAIT WHILE CLEAN UP PROCEEDS
if not exist c:\isis\*.* goto CONT2
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy c:\isis\*.ccf c:\CCF >null
CLS
echo Currently Erasing files in the ISIS directory
erase C:\isis
goto cont8

:CONT2
cls
ECHO            PLEASE WAIL WHILE CLEAN UP PROCEEDS
if not exist d:\isis\*.* goto cont3
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy D:\isis\*.ccf c:\CCF >null
cls
echo FILES IN THE ISIS DIRECTORY WILL BE ERASE WHEN YOU ANSWER YES
erase d:\isis
goto cont8

:cont3
CLS
ECHO               PLEASE WAIT WHILE CLEAN UP PROCEEDS
if not exist e:\isis\*.* goto cont4
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy E:\isis\*.ccf c:\CCF >null
CLS
echo Currently Erasing files in the ISIS directory
erase e:\isis
goto cont8

:cont4
CLS
ECHO               PLEASE WAIT WHILE CLEAN UP PROCEEDS
if not exist f:\isis\*.* goto cont5
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy f:\isis\*.ccf C:\CCF >null
CLS
echo Currently Erasing files in the ISIS directory
erase f:\isis
goto cont8

:cont5
CLS
ECHO                 PLEASE WAIT WHILE CLEAN UP PROCEEDS
if not exist g:\isis\*.* goto cont6
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy g:\isis\*.ccf C:\CCF >null
CLS
echo Currently Erasing files in the ISIS directory
erase g:\isis
goto cont8

:cont6
CLS
ECHO                 PLEASE WAIT WHILE CLEAN UP PROCEEDS
if not exist h:\isis\*.* goto cont7
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy h:\isis\*.ccf C:\CCF >null
CLS
echo Currently Erasing files in the ISIS directory
erase h:\isis
goto cont8

:cont7
CLS
ECHO                  PLEASE WAIT WHILE CLEAN UP PROCEEDS
if not exist i:\isis\*.* goto cont8
YNPROMPT YN 49 Do you wish to copy your illustration files (Y/N)?
 IF NOT ERRORLEVEL == 1 copy i:\isis\*.ccf C:\CCF >null
CLS
echo Currently Erasing files in the ISIS directory
erase i:\isis
goto cont8

:cont8
RD C:\TARGET>NULL
if not exist c:\target\*.* goto CONT9
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase C:\target
rd C:\target
goto exit

:CONT9
RD D:\TARGET>NULL
if not exist d:\target\*.* goto cont10
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase d:\target
rd d:\target
goto exit

:cont10
RD E:\TARGET>NULL
if not exist e:\target\*.* goto cont11
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase e:\target
rd e:\target
goto exit

:cont11
RD F:\TARGET>NULL
if not exist f:\target\*.* goto cont12
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase f:\target
rd f:\target
goto exit

:cont12 
RD G:\TARGET>NULL
if not exist g:\target\*.* goto cont13
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase g:\target
rd g:\target
goto exit

:cont13
RD H:\TARGET>NULL
if not exist h:\target\*.* goto cont14
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase h:\target
rd h:\target
goto exit

:cont14
RD I:\TARGET>NULL
if not exist i:\target\*.* goto exit
cls
echo FILES IN THE TARGET DIRECTORY WILL BE ERASED WHEN YOU ANSWER YES
erase i:\target
rd i:\target
:exit
LISIS.exe

IF NOT EXIST C:\CCF\*.* GOTO EOJ
IF EXIST C:\ISIS\*.* COPY C:\CCF C:\ISIS >null
goto EOJ
IF EXIST D:\ISIS\*.* COPY D:\CCF C:\ISIS >null
goto EOJ
IF EXIST E:\ISIS\*.* COPY E:\CCF C:\ISIS >null
goto EOJ
IF EXIST F:\ISIS\*.* COPY F:\CCF C:\ISIS >null
goto EOJ
IF EXIST G:\ISIS\*.* COPY G:\CCF C:\ISIS> null
goto EOJ
IF EXIST H:\ISIS\*.* COPY H:\CCF C:\ISIS >null
:EOJ
ECHO   ****************************************
echo   *************** WORKING ****************    
ECHO   ****************************************

ERASE C:\CCF\*.* <y.bat>NULL
RD C:\CCF >NULL
CLS
ECHO   ****************************************
ECHO   ************** FINISHED ****************            
ECHO   ****************************************
